Bug 156990 - Assertion failure in ImapAccountBase::makeConnection
Summary: Assertion failure in ImapAccountBase::makeConnection
Status: RESOLVED FIXED
Alias: None
Product: kmail
Classification: Unclassified
Component: IMAP (show other bugs)
Version: 1.9.50
Platform: unspecified Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
: 156997 (view as bug list)
Depends on:
Blocks:
 
Reported: 2008-01-30 22:23 UTC by Oliver Putz
Modified: 2008-06-08 15:50 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Putz 2008-01-30 22:23:37 UTC
Version:           1.9.50 (using 4.00.60 (KDE 4.0.60 >= 20080129), Gentoo)
Compiler:          i686-pc-linux-gnu-gcc
OS:                Linux (i686) release 2.6.23-gentoo-r3

Steps to reproduce:

1) Open kmail
2) Right click on a mail and select save as (leave window as is)
3) Check your mails (IMAP account) [you need to be asked for your username and password in order to make this work]
4) Click "ok" on the popup that asks for your username and password
5) See kmail crash

Note: When you cancel the login procedure (click cancel twice), kmail does not crash.

Backtrace:
Application: KMail (kmail), signal SIGABRT
Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread 0xb4a616d0 (LWP 14669)]
[KCrash handler]
#6  0xffffe410 in __kernel_vsyscall ()
#7  0xb50211f1 in *__GI_raise (sig=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#8  0xb50229b8 in *__GI_abort () at abort.c:88
#9  0xb7d66265 in qt_message_output (msgType=QtFatalMsg, 
    buf=0xbfad7e2c "ASSERT: \"!mSlave\" in file /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kmail/imapaccountbase.cpp, line 299")
    at global/qglobal.cpp:2160
#10 0xb7d6632a in qFatal (msg=0xb7e6d87c "ASSERT: \"%s\" in file %s, line %d")
    at global/qglobal.cpp:2392
#11 0xb7d66555 in qt_assert (assertion=0xb78fb072 "!mSlave", 
    file=0xb78fa5c8 "/var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kmail/imapaccountbase.cpp", line=299) at global/qglobal.cpp:1917
#12 0xb76e59c8 in KMail::ImapAccountBase::makeConnection (this=0x8208ff0)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kmail/imapaccountbase.cpp:299
#13 0xb76ec508 in KMAcctImap::makeConnection (this=0x6)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kmail/kmacctimap.cpp:546
#14 0xb76ed47a in KMAcctImap::processNewMail (this=0x8208ff0, 
    interactive=true)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kmail/kmacctimap.cpp:264
#15 0xb7694340 in KMail::AccountManager::processNextCheck (this=0x81fab78, 
    _newMail=false)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kmail/accountmanager.cpp:192
#16 0xb7694466 in KMail::AccountManager::singleCheckMail (this=0x81fab78, 
    account=0x8208ff0, interactive=true)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kmail/accountmanager.cpp:119
#17 0xb76947da in KMail::AccountManager::checkMail (this=0x81fab78, 
    _interactive=true)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kmail/accountmanager.cpp:310
#18 0xb77d706e in KMMainWidget::slotCheckMail (this=0x821e0d8)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kmail/kmmainwidget.cpp:1035
#19 0xb77dbcd8 in KMMainWidget::qt_metacall (this=0x821e0d8, 
    _c=QMetaObject::InvokeMetaMethod, _id=31, _a=0xbfada74c)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim_build/kmail/kmmainwidget.moc:335
#20 0xb7e4c1f4 in QMetaObject::activate (sender=0x82d6e20, 
    from_signal_index=9, to_signal_index=10, argv=<value optimized out>)
    at kernel/qobject.cpp:3081
#21 0xb7e4c5e2 in QMetaObject::activate (sender=0x82d6e20, m=0xb5e114c0, 
    from_local_signal_index=5, to_local_signal_index=6, argv=0xbfada74c)
    at kernel/qobject.cpp:3160
#22 0xb56bb95d in QAction::activated (this=0x82d6e20, _t1=-234)
    at .moc/debug-shared/moc_qaction.cpp:228
#23 0xb56bc4d6 in QAction::activate (this=0x82d6e20, event=QAction::Trigger)
    at kernel/qaction.cpp:1117
#24 0xb5aea000 in QToolButton::nextCheckState (this=0x8332100)
    at ../../include/QtGui/../../src/gui/kernel/qaction.h:188
#25 0xb5a0b74d in QAbstractButtonPrivate::click (this=0x8332198)
    at widgets/qabstractbutton.cpp:513
#26 0xb5a0b9ee in QAbstractButton::mouseReleaseEvent (this=0x8332100, 
    e=0xbfadae84) at widgets/qabstractbutton.cpp:1101
#27 0xb5aea0fc in QToolButton::mouseReleaseEvent (this=0x8332100, 
    e=0xbfadae84) at widgets/qtoolbutton.cpp:656
#28 0xb57159a5 in QWidget::event (this=0x8332100, event=0xbfadae84)
    at kernel/qwidget.cpp:6138
#29 0xb5a0a4e3 in QAbstractButton::event (this=0x8332100, e=0x394d)
    at widgets/qabstractbutton.cpp:1063
#30 0xb5ae9934 in QToolButton::event (this=0x8332100, e=0xbfadae84)
    at widgets/qtoolbutton.cpp:1073
#31 0xb56c2e8a in QApplicationPrivate::notify_helper (this=0x8065610, 
    receiver=0x8332100, e=0xbfadae84) at kernel/qapplication.cpp:3556
#32 0xb56c4a2c in QApplication::notify (this=0xbfaddb1c, receiver=0x8332100, 
    e=0xbfadae84) at kernel/qapplication.cpp:3255
#33 0xb6a4ab93 in KApplication::notify (this=0xbfaddb1c, receiver=0x8332100, 
    event=0xbfadae84)
    at /var/tmp/portage/kde-base/kdelibs-9999.4/work/kdelibs-9999.4/kdeui/kernel/kapplication.cpp:311
#34 0xb7e38d7b in QCoreApplication::notifyInternal (this=0xbfaddb1c, 
    receiver=0x8332100, event=0xbfadae84) at kernel/qcoreapplication.cpp:530
#35 0xb5728628 in QETWidget::translateMouseEvent (this=0x8332100, 
    event=0xbfadb248)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:203
#36 0xb5726e8e in QApplication::x11ProcessEvent (this=0xbfaddb1c, 
    event=0xbfadb248) at kernel/qapplication_x11.cpp:2913
#37 0xb574cc45 in QEventDispatcherX11::processEvents (this=0x8063b88, 
    flags=@0xbfadb334) at kernel/qeventdispatcher_x11.cpp:125
#38 0xb7e38191 in QEventLoop::processEvents (this=0xbfadb3ac, 
    flags=@0xbfadb368) at kernel/qeventloop.cpp:140
#39 0xb7e3829a in QEventLoop::exec (this=0xbfadb3ac, flags=@0xbfadb3b8)
    at kernel/qeventloop.cpp:186
#40 0xb5b2dc87 in QDialog::exec (this=0xbfadb3f8) at dialogs/qdialog.cpp:433
#41 0xb645133f in KFileDialog::getSaveUrl (dir=@0xbfadb474, 
    filter=@0xbfadb480, parent=0x0, caption=@0xbfadb47c)
    at /var/tmp/portage/kde-base/kdelibs-9999.4/work/kdelibs-9999.4/kio/kfile/kfiledialog.cpp:441
#42 0xb77b1d51 in subjectToUrl (subject=@0xbfadb4e8)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kmail/kmcommands.cpp:770
#43 0xb77b1f82 in KMSaveMsgCommand (this=0x8476ce8, parent=0x821e0d8, 
    msgList=@0x821ed34)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kmail/kmcommands.cpp:821
#44 0xb77c4a36 in KMMainWidget::slotSaveMsg (this=0x821e0d8)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kmail/kmmainwidget.cpp:2024
#45 0xb77dc196 in KMMainWidget::qt_metacall (this=0x821e0d8, 
    _c=QMetaObject::InvokeMetaMethod, _id=96, _a=0xbfadba5c)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim_build/kmail/kmmainwidget.moc:400
#46 0xb7e4c1f4 in QMetaObject::activate (sender=0x82d46e8, 
    from_signal_index=5, to_signal_index=6, argv=<value optimized out>)
    at kernel/qobject.cpp:3081
#47 0xb7e4c5e2 in QMetaObject::activate (sender=0x82d46e8, m=0xb5e114c0, 
    from_local_signal_index=1, to_local_signal_index=2, argv=0xbfadba5c)
    at kernel/qobject.cpp:3160
#48 0xb56bb9c3 in QAction::triggered (this=0x82d46e8, _t1=false)
    at .moc/debug-shared/moc_qaction.cpp:208
#49 0xb56bc4bd in QAction::activate (this=0x82d46e8, event=QAction::Trigger)
    at kernel/qaction.cpp:1114
#50 0xb5aa3264 in QMenuPrivate::activateAction (this=0x8453d90, 
    action=0x82d46e8, action_e=QAction::Trigger, self=true)
    at widgets/qmenu.cpp:915
#51 0xb5aa58e2 in QMenu::mouseReleaseEvent (this=0x82553e0, e=0xbfadc1f4)
    at widgets/qmenu.cpp:2054
#52 0xb57159a5 in QWidget::event (this=0x82553e0, event=0xbfadc1f4)
    at kernel/qwidget.cpp:6138
#53 0xb5aa0ccf in QMenu::event (this=0x82553e0, e=0xbfadc1f4)
    at widgets/qmenu.cpp:2149
#54 0xb56c2e8a in QApplicationPrivate::notify_helper (this=0x8065610, 
    receiver=0x82553e0, e=0xbfadc1f4) at kernel/qapplication.cpp:3556
#55 0xb56c4a2c in QApplication::notify (this=0xbfaddb1c, receiver=0x82553e0, 
    e=0xbfadc1f4) at kernel/qapplication.cpp:3255
#56 0xb6a4ab93 in KApplication::notify (this=0xbfaddb1c, receiver=0x82553e0, 
    event=0xbfadc1f4)
    at /var/tmp/portage/kde-base/kdelibs-9999.4/work/kdelibs-9999.4/kdeui/kernel/kapplication.cpp:311
#57 0xb7e38d7b in QCoreApplication::notifyInternal (this=0xbfaddb1c, 
    receiver=0x82553e0, event=0xbfadc1f4) at kernel/qcoreapplication.cpp:530
#58 0xb5728e89 in QETWidget::translateMouseEvent (this=0x82553e0, 
    event=0xbfadc5b8)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:203
#59 0xb5726e8e in QApplication::x11ProcessEvent (this=0xbfaddb1c, 
    event=0xbfadc5b8) at kernel/qapplication_x11.cpp:2913
#60 0xb574cc45 in QEventDispatcherX11::processEvents (this=0x8063b88, 
    flags=@0xbfadc6a4) at kernel/qeventdispatcher_x11.cpp:125
#61 0xb7e38191 in QEventLoop::processEvents (this=0xbfadc70c, 
    flags=@0xbfadc6d8) at kernel/qeventloop.cpp:140
#62 0xb7e3829a in QEventLoop::exec (this=0xbfadc70c, flags=@0xbfadc718)
    at kernel/qeventloop.cpp:186
#63 0xb5aa5b75 in QMenu::exec (this=0x82553e0, p=@0xbfadc7d4, action=0x0)
    at widgets/qmenu.cpp:1817
#64 0xb761c016 in KMHeaders::slotRMB (this=0x821ec88)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kmail/kmheaders.cpp:2544
#65 0xb761c0c0 in KMHeaders::rightButtonPressed (this=0x821ec88, 
    lvi=0x839c580)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kmail/kmheaders.cpp:2298
#66 0xb762742b in KMHeaders::qt_metacall (this=0x821ec88, 
    _c=QMetaObject::InvokeMetaMethod, _id=169, _a=0xbfadcd24)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim_build/kmail/kmheaders.moc:184
#67 0xb7e4c1f4 in QMetaObject::activate (sender=0x821ec88, 
    from_signal_index=65, to_signal_index=65, argv=<value optimized out>)
    at kernel/qobject.cpp:3081
#68 0xb7e4cd94 in QMetaObject::activate (sender=0x821ec88, m=0xb559c528, 
    local_signal_index=15, argv=0xbfadcd24) at kernel/qobject.cpp:3140
#69 0xb5513c10 in Q3ListView::contextMenuRequested (this=0x821ec88, 
    _t1=0x839c580, _t2=@0xbfadcda0, _t3=0)
    at .moc/debug-shared/moc_q3listview.cpp:369
#70 0xb53980dd in Q3ListView::contentsContextMenuEvent (this=0x821ec88, 
    e=0xbfadce1c) at itemviews/q3listview.cpp:4373
#71 0xb61a07bc in K3ListView::contentsContextMenuEvent (this=0x821ec88, 
    event=0xbfadce1c)
    at /var/tmp/portage/kde-base/kdelibs-9999.4/work/kdelibs-9999.4/kde3support/kdeui/k3listview.cpp:1283
#72 0xb53fcce6 in Q3ScrollView::viewportContextMenuEvent (this=0x821ec88, 
    e=0xbfadd52c) at widgets/q3scrollview.cpp:1916
#73 0xb53fe3a1 in Q3ScrollView::eventFilter (this=0x821ec88, obj=0x821f500, 
    e=0xbfadd52c) at widgets/q3scrollview.cpp:1560
#74 0xb539b416 in Q3ListView::eventFilter (this=0x821ec88, o=0x821f500, 
    e=0xbfadd52c) at itemviews/q3listview.cpp:3790
#75 0xb7627fe6 in KMHeaders::eventFilter (this=0x821ec88, o=0x821f500, 
    e=0xbfadd52c)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kmail/kmheaders.cpp:287
#76 0xb56c2d9b in QApplicationPrivate::notify_helper (this=0x8065610, 
    receiver=0x821f500, e=0xbfadd52c) at kernel/qapplication.cpp:3548
#77 0xb56c4eeb in QApplication::notify (this=0xbfaddb1c, receiver=0x821f500, 
    e=0xbfadd52c) at kernel/qapplication.cpp:3340
#78 0xb6a4ab93 in KApplication::notify (this=0xbfaddb1c, receiver=0x821f500, 
    event=0xbfadd52c)
    at /var/tmp/portage/kde-base/kdelibs-9999.4/work/kdelibs-9999.4/kdeui/kernel/kapplication.cpp:311
#79 0xb7e38d7b in QCoreApplication::notifyInternal (this=0xbfaddb1c, 
    receiver=0x821f500, event=0xbfadd52c) at kernel/qcoreapplication.cpp:530
#80 0xb5728877 in QETWidget::translateMouseEvent (this=0x821f500, 
    event=0xbfadd8c8)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:203
#81 0xb5726e8e in QApplication::x11ProcessEvent (this=0xbfaddb1c, 
    event=0xbfadd8c8) at kernel/qapplication_x11.cpp:2913
#82 0xb574cc45 in QEventDispatcherX11::processEvents (this=0x8063b88, 
    flags=@0xbfadd9b4) at kernel/qeventdispatcher_x11.cpp:125
#83 0xb7e38191 in QEventLoop::processEvents (this=0xbfadda20, 
    flags=@0xbfadd9e8) at kernel/qeventloop.cpp:140
#84 0xb7e3829a in QEventLoop::exec (this=0xbfadda20, flags=@0xbfadda28)
    at kernel/qeventloop.cpp:186
#85 0xb7e3a626 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:759
#86 0xb56c2487 in QApplication::exec () at kernel/qapplication.cpp:3053
#87 0x0804a8de in main (argc=)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kmail/main.cpp:131
#88 0xb500dfdc in __libc_start_main (main=0x804a720 <main>, argc=3, 
    ubp_av=0xbfaddc04, init=0x804af60 <__libc_csu_init>, 
    fini=0x804af50 <__libc_csu_fini>, rtld_fini=0xb7efc100 <_dl_fini>, 
    stack_end=0xbfaddbfc) at libc-start.c:229
#89 0x0804a021 in _start ()
#0  0xffffe410 in __kernel_vsyscall ()
Comment 1 Oliver Putz 2008-01-30 23:59:26 UTC
Another way of triggering this crash is:

1) Save some mail on your HDD
2) Open that mail with kmail by right-clicking -> open with -> other -> "kmail"
3) Save mail into Drafts folder (on IMAP account)
4) You get asked for your username / password for that account
5) Press "ok" without entering your password
6) See kmail crash with the following backtrace:

Application: KMail (kmail), signal SIGABRT
Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread 0xb4b366d0 (LWP 21846)]
[KCrash handler]
#6  0xffffe410 in __kernel_vsyscall ()
#7  0xb50f61f1 in *__GI_raise (sig=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#8  0xb50f79b8 in *__GI_abort () at abort.c:88
#9  0xb7e3b265 in qt_message_output (msgType=QtFatalMsg, 
    buf=0xbfd9f8cc "ASSERT: \"!mSlave\" in file /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kmail/imapaccountbase.cpp, line 299")
    at global/qglobal.cpp:2160
#10 0xb7e3b32a in qFatal (msg=0xb7f4287c "ASSERT: \"%s\" in file %s, line %d")
    at global/qglobal.cpp:2392
#11 0xb7e3b555 in qt_assert (assertion=0xb79d0072 "!mSlave", 
    file=0xb79cf5c8 "/var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kmail/imapaccountbase.cpp", line=299) at global/qglobal.cpp:1917
#12 0xb77ba9c8 in KMail::ImapAccountBase::makeConnection (this=0x81fc9d0)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kmail/imapaccountbase.cpp:299
#13 0xb77c1508 in KMAcctImap::makeConnection (this=0x6)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kmail/kmacctimap.cpp:546
#14 0xb77d6265 in KMFolderImap::checkValidity (this=0x8211608)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kmail/kmfolderimap.cpp:1068
#15 0xb77d6a42 in KMFolderImap::getFolder (this=0x8211608, force=false)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kmail/kmfolderimap.cpp:1259
#16 0xb770f3c4 in KMComposeWin::saveDraftOrTemplate (this=0x820b6c8, 
    folderName=@0xbfda1da0, msg=<value optimized out>)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kmail/kmcomposewin.cpp:3674
#17 0xb77173c4 in KMComposeWin::slotContinueDoSend (this=0x820b6c8, 
    sentOk=false)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kmail/kmcomposewin.cpp:3701
#18 0xb77287e4 in KMComposeWin::qt_metacall (this=0x820b6c8, 
    _c=QMetaObject::InvokeMetaMethod, _id=148, _a=0xbfda22fc)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim_build/kmail/kmcomposewin.moc:355
#19 0xb7f211f4 in QMetaObject::activate (sender=0x820b6c8, 
    from_signal_index=47, to_signal_index=47, argv=<value optimized out>)
    at kernel/qobject.cpp:3081
#20 0xb7f21d94 in QMetaObject::activate (sender=0x820b6c8, m=0xb7a1944c, 
    local_signal_index=0, argv=0xbfda22fc) at kernel/qobject.cpp:3140
#21 0xb7725d67 in KMComposeWin::applyChangesDone (this=0x820b6c8, _t1=true)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim_build/kmail/kmcomposewin.moc:371
#22 0xb7725dc8 in KMComposeWin::slotComposerDone (this=0x820b6c8, rc=true)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kmail/kmcomposewin.cpp:2087
#23 0xb77287ca in KMComposeWin::qt_metacall (this=0x820b6c8, 
    _c=QMetaObject::InvokeMetaMethod, _id=147, _a=0xbfda283c)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim_build/kmail/kmcomposewin.moc:354
#24 0xb7f211f4 in QMetaObject::activate (sender=0x836c3d8, 
    from_signal_index=4, to_signal_index=4, argv=<value optimized out>)
    at kernel/qobject.cpp:3081
#25 0xb7f21d94 in QMetaObject::activate (sender=0x836c3d8, m=0xb7a24224, 
    local_signal_index=0, argv=0xbfda283c) at kernel/qobject.cpp:3140
#26 0xb78f4a47 in MessageComposer::done (this=0x836c3d8, _t1=true)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim_build/kmail/messagecomposer.moc:79
#27 0xb78ff247 in MessageComposer::emitDone (this=0x836c3d8, ok=true)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kmail/messagecomposer.cpp:410
#28 0xb78ff2af in MessageComposer::doNextJob (this=0x836c3d8)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kmail/messagecomposer.cpp:386
#29 0xb78ff438 in MessageComposer::slotDoNextJob (this=0x836c3d8)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kmail/messagecomposer.cpp:433
#30 0xb78ff4c9 in MessageComposer::qt_metacall (this=0x836c3d8, 
    _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0xbfda2d74)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim_build/kmail/messagecomposer.moc:68
#31 0xb7f211f4 in QMetaObject::activate (sender=0x8370e78, 
    from_signal_index=4, to_signal_index=4, argv=<value optimized out>)
    at kernel/qobject.cpp:3081
#32 0xb7f21d94 in QMetaObject::activate (sender=0x8370e78, m=0xb7fbfc64, 
    local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3140
#33 0xb7f2a3c3 in QSingleShotTimer::timeout (this=0x8370e78)
    at .moc/debug-shared/qtimer.moc:73
#34 0xb7f2a40c in QSingleShotTimer::timerEvent (this=0x8370e78)
    at kernel/qtimer.cpp:296
#35 0xb7f1f269 in QObject::event (this=0x8370e78, e=0x5556)
    at kernel/qobject.cpp:1086
#36 0xb5797e8a in QApplicationPrivate::notify_helper (this=0x80656c8, 
    receiver=0x8370e78, e=0xbfda32a8) at kernel/qapplication.cpp:3556
#37 0xb579977a in QApplication::notify (this=0xbfda35bc, receiver=0x8370e78, 
    e=0xbfda32a8) at kernel/qapplication.cpp:3115
#38 0xb6b1fb93 in KApplication::notify (this=0xbfda35bc, receiver=0x8370e78, 
    event=0xbfda32a8)
    at /var/tmp/portage/kde-base/kdelibs-9999.4/work/kdelibs-9999.4/kdeui/kernel/kapplication.cpp:311
#39 0xb7f0dd7b in QCoreApplication::notifyInternal (this=0xbfda35bc, 
    receiver=0x8370e78, event=0xbfda32a8) at kernel/qcoreapplication.cpp:530
#40 0xb7f36efb in QTimerInfoList::activateTimers (this=0x806b58c)
    at kernel/qcoreapplication.h:200
#41 0xb7f36fd1 in QEventDispatcherUNIX::activateTimers (this=0x8066300)
    at kernel/qeventdispatcher_unix.cpp:828
#42 0xb7f379ab in QEventDispatcherUNIX::processEvents (this=0x8066300, 
    flags=@0xbfda3428) at kernel/qeventdispatcher_unix.cpp:890
#43 0xb5821cce in QEventDispatcherX11::processEvents (this=0x8066300, 
    flags=@0xbfda3454) at kernel/qeventdispatcher_x11.cpp:145
#44 0xb7f0d191 in QEventLoop::processEvents (this=0xbfda34c0, 
    flags=@0xbfda3488) at kernel/qeventloop.cpp:140
#45 0xb7f0d29a in QEventLoop::exec (this=0xbfda34c0, flags=@0xbfda34c8)
    at kernel/qeventloop.cpp:186
#46 0xb7f0f626 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:759
#47 0xb5797487 in QApplication::exec () at kernel/qapplication.cpp:3053
#48 0x0804a8de in main (argc=)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kmail/main.cpp:131
#49 0xb50e2fdc in __libc_start_main (main=0x804a720 <main>, argc=4, 
    ubp_av=0xbfda36a4, init=0x804af60 <__libc_csu_init>, 
    fini=0x804af50 <__libc_csu_fini>, rtld_fini=0xb7fd1100 <_dl_fini>, 
    stack_end=0xbfda369c) at libc-start.c:229
#50 0x0804a021 in _start ()
#0  0xffffe410 in __kernel_vsyscall ()
Comment 2 Oliver Putz 2008-01-31 00:13:57 UTC
Oops, forget about my last comment. 
I just recognized that the second crash does have a quite different backtrace after line 14, so I just opened an own bug for that crash. (bug #156997)
Comment 3 Thomas McGuire 2008-02-04 18:12:36 UTC
*** Bug 156997 has been marked as a duplicate of this bug. ***
Comment 4 Oliver Putz 2008-03-19 01:54:34 UTC
This bug is still valid in a current SVN build
Comment 5 Thomas McGuire 2008-06-08 15:48:37 UTC
SVN commit 818395 by tmcguire:

Don't assert when the password entered is empty.

The password dialog is still shown too many times, but at least
it doesn't crash anymore.

BUG: 156990


 M  +12 -1     imapaccountbase.cpp  
 M  +1 -0      imapaccountbase.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=818395
Comment 6 Thomas McGuire 2008-06-08 15:50:19 UTC
Thanks for the bug report, it is always good to have such detailed instructions on how to reproduce a crash :)

And the two reports where indeed the same after all.